Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data.xy
Class YInterval

    java.lang.Object
      org.jfree.data.xy.YInterval

All Implemented Interfaces:
  java.io.Serializable

    public class YInterval

extends java.lang.Object
implements java.io.Serializable

A y-interval. This class is used internally by the `YIntervalDataItem` class.

Since:
  1.0.3
See Also:
  Serialized Form

Constructor Summary
`YInterval(double y, double yLow, double yHigh)` Creates a new instance of `YInterval`.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.
`double` | `getY()` Returns the y-value.
`double` | `getYHigh()` Returns the upper bound of the y-interval.
`double` | `getYLow()` Returns the lower bound of the y-interval.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### YInterval

    public YInterval(double y,
                     double yLow,
                     double yHigh)

  Creates a new instance of `YInterval`.

  Parameters:
    `y` - the y-value.
    `yLow` - the lower bound of the y-interval.
    `yHigh` - the upper bound of the y-interval.

Method Detail

### getY

    public double getY()

  Returns the y-value.

  Returns:
    The y-value.

### getYLow

    public double getYLow()

  Returns the lower bound of the y-interval.

  Returns:
    The lower bound of the y-interval.

### getYHigh

    public double getYHigh()

  Returns the upper bound of the y-interval.

  Returns:
    The upper bound of the y-interval.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this instance for equality with an arbitrary object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD